This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 969414 - tagainijisho included non-free contects
tagainijisho included non-free contects
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tagainijisho (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-05-31 07:37 EDT by mejiko
Modified: 2014-03-22 01:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 17:44:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 182652 None None None Never

  None (edit)
Description mejiko 2013-05-31 07:37:27 EDT
Hello.

tagainijisho included non-free content.


Files:

tagainijisho-0.9.4/3rdparty/*.xml



Kanjidic (and Kanjidic2) is free, and Fedora acceptable license. (License is CC-BY-SA 3.0).
but Kanjidic (and Kanjidic2) is mixing non-free content.


License URI:

http://www.edrdg.org/edrdg/licence.html (See Section 3 and 7)

Non-free code license is CC-BY-NC-SA, Its non-free.
Non-free code included Kanjidic and Kanjidic2.


License URI:

http://www.kanji.org/kanji/dictionaries/skip_permission.htm



Suggests:

1. Remove non-free code and rebuild.

2. Remove fedora repos.

3. Contact upstream author.


Thanks.



Reference:

http://www.csse.monash.edu.au/~jwb/kanjidic.html
http://www.csse.monash.edu.au/~jwb/kanjidic2/kanjidic2_ov.html
http://www.csse.monash.edu.au/~jwb/kanjidic_doc.html
http://packages.debian.org/ja/sid/kanjidic-xml
http://packages.debian.org/sid/kanjidic
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=182652
Comment 1 mejiko 2013-05-31 07:37:57 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2013-05-31 09:41:22 EDT
Same issue as 969411, just in a different package.
Comment 3 mejiko 2013-08-04 22:46:44 EDT
Fedora 19 version is not resolved this problem.
Comment 4 Martin Sourada 2014-02-25 17:44:47 EST
Fixed in rawhide (modified script from tomoe to generate tarball with removed skip code):
tagainijisho-1.0.1-1.fc21
Comment 5 Fedora Update System 2014-02-26 03:24:07 EST
tagainijisho-1.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tagainijisho-1.0.1-2.fc20
Comment 6 Fedora Update System 2014-03-01 08:36:57 EST
tagainijisho-1.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tagainijisho-1.0.1-2.fc19
Comment 7 Fedora Update System 2014-03-21 05:31:29 EDT
tagainijisho-1.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-03-22 01:08:47 EDT
tagainijisho-1.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.